org.codehaus.groovy.classgen.asm

## Class CallSiteWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.CallSiteWriter

- Direct Known Subclasses:
    StaticTypesCallSiteWriter

      public class CallSiteWriter
      extends java.lang.Object

  This class represents non public API used by AsmClassGenerator. Don't use this class in your code

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONSTRUCTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallSiteWriter(WriterController wc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateCallSiteArray()`
    `java.util.List<java.lang.String>` | `getCallSites()`
    `void` | `makeCallSite(Expression receiver, java.lang.String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)`
    `void` | `makeCallSiteArrayInitializer()`
    `void` | `makeGetPropertySite(Expression receiver, java.lang.String methodName, boolean safe, boolean implicitThis)`
    `void` | `makeGroovyObjectGetPropertySite(Expression receiver, java.lang.String methodName, boolean safe, boolean implicitThis)`
    `void` | `makeSingleArgumentCall(Expression receiver, java.lang.String message, Expression arguments)`
    `void` | `makeSiteEntry()`
    `void` | `prepareCallSite(java.lang.String message)`
    `protected void` | `prepareSiteAndReceiver(Expression receiver, java.lang.String methodName, boolean implicitThis, boolean lhs)`
    `protected void` | `visitBoxedArgument(Expression exp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSTRUCTOR

          public static final java.lang.String CONSTRUCTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CallSiteWriter

          public CallSiteWriter(WriterController wc)

  - ### Method Detail

    - #### makeSiteEntry

          public void makeSiteEntry()

    - #### generateCallSiteArray

          public void generateCallSiteArray()

    - #### prepareCallSite

          public void prepareCallSite(java.lang.String message)

    - #### prepareSiteAndReceiver

          protected void prepareSiteAndReceiver(Expression receiver,
                                    java.lang.String methodName,
                                    boolean implicitThis,
                                    boolean lhs)

    - #### visitBoxedArgument

          protected void visitBoxedArgument(Expression exp)

    - #### makeSingleArgumentCall

          public void makeSingleArgumentCall(Expression receiver,
                                    java.lang.String message,
                                    Expression arguments)

    - #### makeGroovyObjectGetPropertySite

          public void makeGroovyObjectGetPropertySite(Expression receiver,
                                             java.lang.String methodName,
                                             boolean safe,
                                             boolean implicitThis)

    - #### makeGetPropertySite

          public void makeGetPropertySite(Expression receiver,
                                 java.lang.String methodName,
                                 boolean safe,
                                 boolean implicitThis)

    - #### makeCallSite

          public void makeCallSite(Expression receiver,
                          java.lang.String message,
                          Expression arguments,
                          boolean safe,
                          boolean implicitThis,
                          boolean callCurrent,
                          boolean callStatic)

    - #### getCallSites

          public java.util.List<java.lang.String> getCallSites()

    - #### makeCallSiteArrayInitializer

          public void makeCallSiteArrayInitializer()